Required. The commit to use as the basis for the comparison.
Required. The commit to compare against the base commit.
Language

News entries

No news entry changes

New packages

NameVersion
python-mdx-gh-links0.2More information
python-pep6210.4.0More information
python-sanic-testing22.3.0More information
psautohint2.4.0More information
python-ufo2ft2.26.0More information
python-scikit-build0.14.0More information
python-sanic-routing0.7.2More information
python-pytest-freezegun0.4.2More information
python-types-docutils0.18.2More information
python-asttokens2.0.5More information
python-ubelt1.0.1More information
python-cbor25.4.2.post1More information
java-antlr4-runtime-cpp4.8More information
python-sfdlib1.2.3More information
python-skia-pathops0.7.2More information
texlive-makecmds59745More information
python-ufonormalizer0.6.1More information
python-pcpp1.30More information
python-compreffor0.5.1.post1More information
python-nptyping2.0.0More information
python-pytest-perf0.12.0More information
python-pydyf0.1.2More information
python-fontmath0.9.1More information
python-jaraco-functools3.5.0More information
python-openapi-core0.14.2More information
python-types-pytz2021.3.6More information
python-defcon-bootstrap0.10.0More information
python-sanic-bootstrap21.12.1More information
texlive-paralist59745More information
python-nbdime3.1.1More information
python-sphinx-theme-builder0.2.0a14More information
python-debugpy1.6.0More information
texlive-cbfonts59745More information
python-opentype-sanitizer8.2.1More information
texlive-stix2-otf59745More information
python-mutatormath3.0.1More information
font-sil-ezra2.51More information
python-jaraco-classes3.2.1More information
skia98-0.55c56abMore information
python-toolrack3.0.1More information
python-untangle1.1.1-1.fb916a9More information
python-aioredis2.0.1More information
python-pytest-enabler-bootstrap1.2.1More information
python-fontparts0.10.4More information
texlive-cs59745More information
font-amiri0.114More information
texlive-metalogo59745More information
python-mergedeep1.3.4More information
python-path16.4.0More information
texlive-lm-math59745More information
texlive-xindy2.5.1More information
python-socksio1.0.0More information
python-ufoprocessor1.9.0More information
python-beartype0.10.4More information
python-pyyaml-env-tag0.1More information
python-cu2qu1.6.7.post1More information
python-ordered-set4.1.0More information
python-docrepr0.2.0More information
python-jaraco-context4.1.1More information
python-strict-rfc33390.7More information
python-openapi-schema-validator0.2.3More information
python-dictpath0.1.3More information
texlive-csplain59745More information
python-pytest-mypy0.9.1More information
python-mpl-sphinx-theme3.5.0More information
texlive-bidi36.4More information
python-pure-eval0.2.2More information
python-pudb2022.1.1More information
python-bson0.5.10More information
python-booleanoperations0.9.0More information
python-pydevd2.8.0-0.47e2984More information
python-rfc3339-validator0.1.4More information
python-unicodedata214.0.0More information
opentype-sanitizer8.2.1More information
python-afdko3.8.1More information
python-types-freezegun1.1.8More information
python-pecan1.4.1More information
python-argparse-addons0.7.0More information
texlive-cbfonts-fd59745More information
python-tempora5.0.1More information
texlive-zref59745More information
texlive-polyglossia59745More information
python-littleutils0.2.2More information
python-crccheck1.1More information
python-xdoctest1.0.0More information
texlive-cm-lgc59745More information
python-fontpens-bootstrap0.2.4More information
python-pip-run8.8.0More information
python-pytest-randomly3.11.0More information
font-gfs-ambrosia20080624More information
texlive-underscore59745More information
python-jupyterlab-server2.12.0More information
python-sphinx-sitemap2.2.0More information
python-ipdb0.13.9More information
texlive-unicode-math59745More information
python-pytest-tornado0.8.1More information
python-openapi-spec-validator0.4.0More information
python-jupyter-server-mathjax0.2.5More information
python-autocommand2.2.1More information
python-stack-data0.2.0More information
python-types-toml0.10.5More information
python-ufolib20.13.1More information
python-cffsubr0.2.9.post1More information

Removed packages

NameVersion
python2-keyring8.7More information
python2-ghp-import0.5.5More information
python2-pytest-cov2.8.1More information
python2-jmespath1.0.0More information
python-orator0.9.9More information
python2-defcon0.3.5More information
python2-send2trash1.5.0More information
python2-click7.1.2More information

Version changes

NameVersions
python-sphinxext-opengraph
python-flask-wtf
python-nbclient
python-jupyter-kernel-mgmt
python-jupyter-packaging
python-sphinx-argparse
python-sphinx-autodoc-typehints
python-websockets
python-readme-renderer
python-nest-asyncio
python-bleach
python-sphinx-click
python-pytest-checkdocs
python-send2trash
python-pytest-forked
python-locust
xeus
python-cantools
python-multidict
python-importlib-metadata
python2-parse-type
python-sphinx-copybutton
python-kombu
python-numpydoc
python-miio
python-jupyter-server
python-nbconvert
python-hypothesis
python-jupyter-client
python-sqlalchemy
python-matplotlib-documentation
python-prompt-toolkit
python-fakeredis
conan
python-falcon
python-sphinxcontrib-programoutput
pudb
python-qtpy
mbed-tools
python-faker
python-can
python-croniter
python-trio
python-ipython
python-amqp
python-qtconsole
python-httpx
python-black
python-ghp-import
python-numba
python-uvicorn
python-fonttools
python-mypy
python-setuptools
python-matplotlib
python-bitstruct
python-pynndescent
python-sphinx
python-ipython-documentation
python-numpy
python-celery
python-numpy-documentation
python-sphinxcontrib-websupport
python-flask
python-ipyparallel
python-pandas
python-flask-login
python-greenlet
python-factory-boy
python-scipy
python-sphinx-rtd-theme
python-pygments
python-nbformat
python-voila
python-parse-type
python-pytest-sanic
python-pathpy
sshoot
weasyprint
python-httpcore
python-notebook
python-pydata-sphinx-theme
python-ipykernel
python-cmarkgfm
python-sanic
python-sphinx-cloud-sptheme
python-sparqlwrapper
python-pytest-black
python-jinja2
python-mkdocs
python-jupyter-protocol
python-pytest-xdist
python-pytest-cov
python-click
python-pingouin
python-llvmlite
python-umap-learn
python2-sqlalchemy
python-jupyter-core

Lint warnings

abjad-ext-ipython (version: 3.3)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-prompt-toolkit@2.0.7 and python-prompt-toolkit@3.0.29 collide

java-antlr4-runtime-cpp (version: 4.8)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'util-linux' does not match package name 'util-linux:lib'
New warningpatch-file-names

Validate file names and availability of patches

file names of patches should start with the package name

jupyter (version: 1.0.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-prompt-toolkit@2.0.7 and python-prompt-toolkit@3.0.29 collide

python2-click (version: 7.1.2)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-pytest' does not match package name 'python2-pytest'
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python2-jmespath (version: 1.0.0)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-nose' does not match package name 'python2-nose'

python2-numpydoc (version: 0.9.1)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python-jinja2' does not match package name 'python2-jinja2'

python2-parse-type (version: 0.5.2)

LinterMessage
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python2-setuptools' should probably not be an input at all
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-setuptools' does not match package name 'python2-setuptools'
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-pytest-runner' does not match package name 'python2-pytest-runner'

python2-pytest-cov (version: 2.8.1)

LinterMessage
Resolved warninginputs-should-be-native

Identify inputs that should be native inputs

'python2-pytest' should probably be a native input
Resolved warninginputs-should-be-native

Identify inputs that should be native inputs

'python2-coverage' should probably be a native input
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-pytest' does not match package name 'python2-pytest'
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-coverage' does not match package name 'python2-coverage'
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python2-sphinx (version: 1.7.7)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-mock' does not match package name 'python2-mock'
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-nose' does not match package name 'python2-nose'
New warninginput-labels

Identify input labels that do not match package names

label 'python-cython' does not match package name 'python2-cython'

python-afdko (version: 3.8.1)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'util-linux' does not match package name 'util-linux:lib'
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 and /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 collide
New warningwrapper-inputs

Make sure 'wrap-program' can finds its interpreter.

"bash-minimal" should be in 'inputs' when 'wrap-program' is used

python-cantools (version: 33.1.1)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'sphinx' does not match package name 'python-sphinx'

python-click (version: 7.1.2)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-coolbox (version: 0.3.8)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-prompt-toolkit@2.0.7 and python-prompt-toolkit@3.0.29 collide

python-cu2qu (version: 1.6.7.post1)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-debugpy (version: 1.6.0)

LinterMessage
New warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-defcon-bootstrap (version: 0.10.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-docrepr (version: 0.2.0)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-docutils' should probably be a native input
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-sphinx' should probably be a native input

python-factory-boy (version: 2.8.1)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'faker' does not match package name 'python-faker'

python-faker (version: 9.3.1)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-fontparts (version: 0.10.4)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python-defcon-bootstrap' does not match package name 'python-defcon'
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 and /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 collide

python-fonttools (version: 4.28.5)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-fonttools (version: 4.32.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-fonttools@4.28.5 and python-fonttools@4.32.0 collide

python-hypothesis (version: 6.43.3)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-ipyparallel (version: 6.2.4)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-tornado@6.1 and python-tornado@5.1.1 collide

python-ipyparallel (version: 8.2.1)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python-jupyter-client-bootstrap' does not match package name 'python-jupyter-client'
New warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-ipython-cluster-helper (version: 0.6.4)

LinterMessage
Resolved warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-tornado@5.1.1 and python-tornado@6.1 collide

python-ipython-documentation (version: 7.27.0)

LinterMessage
Resolved warningformatting

Look for formatting issues in the source

parentheses feel lonely, move to the previous or next line
Resolved warninginput-labels

Identify input labels that do not match package names

label 'texlive' does not match package name 'texlive-updmap.cfg'

python-jaraco-context (version: 4.1.1)

LinterMessage
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-jaraco-functools (version: 3.5.0)

LinterMessage
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-jupyter-client (version: 6.1.12)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'iproute' does not match package name 'iproute2'
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-ipykernel' does not match package name 'python-ipykernel-bootstrap'

python-jupyter-client (version: 7.2.2)

LinterMessage
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-jupyter-console (version: 6.4.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-prompt-toolkit@3.0.29 and python-prompt-toolkit@2.0.7 collide

python-matplotlib (version: 3.5.1)

LinterMessage
Resolved warningformatting

Look for formatting issues in the source

line 6586 is way too long (107 characters)
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-tkinter' does not match package name 'python:tk'

python-matplotlib (version: 3.5.2)

LinterMessage
New warningformatting

Look for formatting issues in the source

line 6728 is way too long (114 characters)
New warninginput-labels

Identify input labels that do not match package names

label 'python' does not match package name 'python:tk'

python-matplotlib-documentation (version: 3.5.1)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'texlive' does not match package name 'texlive-updmap.cfg'

python-matplotlib-documentation (version: 3.5.2)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python' does not match package name 'python:tk'
New warninginputs-should-be-native

Identify inputs that should be native inputs

'gobject-introspection' should probably be a native input

python-mutatormath (version: 3.0.1)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 and /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 collide
New warningdescription

Validate package descriptions

sentences in description should be followed by two spaces; possible infraction at 129

python-mypy (version: 0.931)

LinterMessage
Resolved warningdescription

Validate package descriptions

use @code or similar ornament instead of quotes

python-nbclient (version: 0.5.3)

LinterMessage
Resolved warningdescription

Validate package descriptions

sentences in description should be followed by two spaces; possible infraction at 62
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-pip' should probably not be an input at all
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

python-nbconvert (version: 6.0.7)

LinterMessage
Resolved warningformatting

Look for formatting issues in the source

parentheses feel lonely, move to the previous or next line

python-nbval (version: 0.9.6)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-numpy-documentation (version: 1.20.3)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'texlive' does not match package name 'texlive-updmap.cfg'

python-numpy-next (version: 1.22.3)

LinterMessage
Resolved warningformatting

Look for formatting issues in the source

line 5748 is way too long (154 characters)

python-openapi-spec-validator (version: 0.4.0)

LinterMessage
New warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

python-parse-type (version: 0.5.2)

LinterMessage
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

python-path (version: 16.4.0)

LinterMessage
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pathpy (version: 11.5.1)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-pathpy (version: 16.4.0)

LinterMessage
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pip-run (version: 8.8.0)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python-path-bootstrap' does not match package name 'python-path'
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pydata-sphinx-theme (version: 0.7.2)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-sphinx' should probably be a native input
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-docutils' should probably be a native input

python-pytest-checkdocs (version: 2.7.1)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-pytest-enabler-bootstrap (version: 1.2.1)

LinterMessage
New warninginput-labels

Identify input labels that do not match package names

label 'python-jaraco-context-bootstrap' does not match package name 'python-jaraco-context'
New warninginput-labels

Identify input labels that do not match package names

label 'python-jaraco-functools-bootstrap' does not match package name 'python-jaraco-functools'
New warningtests-true

Check if tests are explicitly enabled

#:tests? must not be explicitly set to #t

python-pytest-freezegun (version: 0.4.2)

LinterMessage
New warningdescription

Validate package descriptions

description contains typo 'allows to'
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-pytest-mypy (version: 0.9.1)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-pytest-randomly (version: 3.11.0)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-pytest-tornado (version: 0.8.1)

LinterMessage
New warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-pytest' should probably be a native input

python-qtpy (version: 1.9.0)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'python-pyside2' does not match package name 'python-pyside-2'

python-sanic (version: 20.12.4)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-sfdlib (version: 1.2.3)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-sparqlwrapper (version: 1.8.5)

LinterMessage
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

python-sphinx-autodoc-typehints (version: 1.11.1)

LinterMessage
Resolved warninginputs-should-be-native

Identify inputs that should be native inputs

'python-setuptools-scm' should probably be a native input

python-sphinx-click (version: 4.0.3)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-docutils' should probably be a native input
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-sphinx' should probably be a native input

python-sphinx-cloud-sptheme (version: 1.10.1)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-sphinx' should probably be a native input

python-sphinx-copybutton (version: 0.2.6)

LinterMessage
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

python-sphinx-rtd-theme (version: 1.0.0)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-docutils' should probably be a native input

python-sphinx-sitemap (version: 2.2.0)

LinterMessage
New warninginputs-should-be-native

Identify inputs that should be native inputs

'python-sphinx' should probably be a native input

python-traitlets (version: 5.1.1)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-types-dataclasses (version: 0.6.1)

LinterMessage
Resolved warningdescription

Validate package descriptions

description contains typo 'This packages', should be 'This package'

python-ufo2ft (version: 2.26.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-ufolib2 (version: 0.13.1)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide

python-ufoprocessor (version: 1.9.0)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 and /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 collide

python-uvicorn (version: 0.13.2)

LinterMessage
Resolved warningoptional-tests

Make sure tests are only run when requested

the 'check' phase should respect #:tests?

python-voila (version: 0.2.10)

LinterMessage
Resolved warninginputs-should-not-be-input

Identify inputs that shouldn't be inputs at all

'python-setuptools' should probably not be an input at all

scregseg (version: 0.1.1)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs python-prompt-toolkit@2.0.7 and python-prompt-toolkit@3.0.29 collide

seed (version: 3.8.1)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'webkit' does not match package name 'webkitgtk'
New warninginput-labels

Identify input labels that do not match package names

label 'webkit' does not match package name 'webkitgtk-with-libsoup2'

texlive-hyperref (version: 59745)

LinterMessage
New warningformatting

Look for formatting issues in the source

parentheses feel lonely, move to the previous or next line

weasyprint (version: 52.1)

LinterMessage
Resolved warninginput-labels

Identify input labels that do not match package names

label 'fontconfig' does not match package name 'fontconfig-minimal'

weasyprint (version: 54.3)

LinterMessage
New warningprofile-collisions

Report collisions that would occur due to propagated inputs

propagated inputs /gnu/store/cfjaks4hdqqqh7wzwn6rknrxnhqd578l-python-fonttools-4.28.5 and /gnu/store/iv10njqlmri4k9574lncnq4b44zx69cd-python-fonttools-4.28.5 collide